Bug 427072 - Network Manager Forgets the DNS at log in
Network Manager Forgets the DNS at log in
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 17:10 EST by Debabrata Deb
Modified: 2009-01-09 00:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debabrata Deb 2007-12-30 17:10:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
My Fedora 8 installation is from the Fedora 8 Live installation CD. So after installation when I reboot the machine and log in for the first time: I could not see any problem:means NM works fine. But then every time I log in I have to set the DNS entries again!! But once set, NM works fine for the rest time as long as User is logged in. 
However I guess this is also would be informative to say that in my Notebook (Acer TravelMate 4150NLCi) earlier I also had Fedora 8 but that was not installed from a Live CD. I saw when ever I install (actually I tried twice) the F8 from a Live CD This problem appears. 

Version-Release number of selected component (if applicable):
system-config-network-1.4.3-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Installed my system from Fedora 8 KDE Live Distribution CD.
2. 
3. 

Actual Results:
Then Every time a user logs in then NM forgets all the DNS entries.. User have to re enter the DNS and DNS search path. and then NM works fine untill one new log-off -> log-in


Expected Results:


Additional info:
Comment 1 Dan Williams 2008-04-10 15:20:30 EDT
Are you using DHCP or static IP addresses?

If using DHCP, can you include the relevant portion of /var/log/messages where
NetworkManager prints out the returned DHCP information?

Can you also ensure you are running the latest version of NetworkManager from
the f8-updates-testing repository, which is NetworkManager-0.7.0-0.6.7.svn3235.fc8 ?
Comment 2 Debabrata Deb 2008-04-10 16:51:31 EDT
I use static address. 
I have the latest NM installed. Because regularly I update my box. I can not
give you the exact version number because the network work manager is not
working in my notebook. I mean, can not connect to the internet!!

Any thing more details??









Comment 3 Dan Williams 2008-04-10 18:47:31 EDT
Do you have any ifcfg files in /etc/sysconfig/network-scripts/, like ifcfg-eth0
or ifcfg-wlan0?  If so, what's in them?
Comment 4 Debabrata Deb 2008-04-11 16:06:28 EDT
(In reply to comment #3)
> Do you have any ifcfg files in /etc/sysconfig/network-scripts/, like ifcfg-eth0
> or ifcfg-wlan0?  If so, what's in them?

Ok, Yes I have the file 'ifcfg-eth0' and also some other files. In my Note book
I also have wireless connection, But I never used them. The ethernet connection
is eth1 while the wireless connection interface is eth0.

Here is the output of the files :

[root@iche201 ddeb]# locate ifcfg
/etc/sysconfig/network-scripts/ifcfg-eth0
/etc/sysconfig/network-scripts/ifcfg-eth1
/etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/networking/devices/ifcfg-eth0
/etc/sysconfig/networking/devices/ifcfg-eth1
/etc/sysconfig/networking/profiles/default/ifcfg-eth0
/etc/sysconfig/networking/profiles/default/ifcfg-eth1
/sbin/ifcfg
/usr/share/doc/irda-utils-0.9.18/ifcfg-irlan0
[root@iche201 ddeb]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Broadcom Corporation BCM4401-B0 100Base-TX
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:12:K0:58:91:6B
ONBOOT=yes
DHCP_HOSTNAME=iche196.uni-graz.at
IPADDR=
DOMAIN=
NETMASK=
TYPE=Wireless
ESSID=
CHANNEL=
MODE=
RATE=
[root@iche196 ddeb]# cat /etc/sysconfig/network-scripts/ifcfg-eth1
# Intel Corporation PRO/Wireless 2200BG Network Connection
DEVICE=eth1
BOOTPROTO=none
HWADDR=00:0F:C0:7K:13:00
ONBOOT=no
DHCP_HOSTNAME=iche196.uni-graz.at
IPADDR=143.50.44.201
NETMASK=255.255.255.0
GATEWAY=143.50.44.1
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes
[root@iche201 ddeb]# 

Any Guess?? what could be the problem?? I can not see the DNS addresses ... The
problem is that NM forgets the DNS addresses. ......

Comment 5 Bug Zapper 2008-11-26 04:13:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:39:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.